﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;

using Core;
using UI;

namespace ControlPad
{
  static class Program
  {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {
      Application.EnableVisualStyles();
      Application.SetCompatibleTextRenderingDefault(false);

      Form mainView = new MainView();
      try
      {
        Presenter presenter = new Presenter((IView)mainView, new SerialControlPort());
        Application.Run(mainView);
      }
      catch (Exception ex)
      {
        MessageBox.Show(ex.Message, "Error--No COM port", MessageBoxButtons.OK, MessageBoxIcon.Error);
      }
    }
  }
}
