﻿using System;

namespace Core
{
  public interface IControlPort
  {
    event EventHandler CPUModeChanged;
    event EventHandler MPModeChanged;
    event EventHandler INPStateChanged;
    event EventHandler DataChanged;
    event EventHandler QStateChanged;

    CPUMode CPUMode { get; }
    MemoryProtect MemoryProtect { get; }
    InputState InputState { get; }
    string Data { get; }
    bool QState { get; }

    void Start();
    void Stop();

    void SetCPUMode(CPUMode mode);
    void SetMPState(MemoryProtect mp);
    void SetINPState(InputState state);

    void WriteData(string data);
  }
}
