﻿using System;
using System.Runtime.InteropServices;

namespace Core
{
  public class ParallelControlPort : ControlPort
  {
    [DllImport("inpout32.dll", EntryPoint="Out32")]
    private static extern void Output32(int portAddress, int value);

    [DllImport("inpout32.dll", EntryPoint = "Inp32")]
    private static extern int Input32(int portAddress);

    public override void SetCPUMode(CPUMode mode)
    {
      switch (mode)
      {
        case CPUMode.Load:
          break;
        case CPUMode.Reset:
          WriteData("RE");
          break;
        case CPUMode.Run:
          break;
        default:
          break;
      }
    }

    public override void WriteData(string data)
    {
      Output32(0x378, 0x00);
    }
  }
}
