﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace UI
{
  public partial class Keypad : UserControl
  {
    private string hiNibble;
    private bool first;

    public Keypad()
    {
      InitializeComponent();
      hiNibble = "0";
      first = true;
      Value = "00";
    }

    public event EventHandler ValueChanged;

    public string Value { get; private set; }

    private void Key_click(object sender, EventArgs e)
    {
      Button key = sender as Button;
      if (first)
      {
        hiNibble = key.Text;
        first = false;
      }
      else
      {
        Value = hiNibble + key.Text;
        OnValueChanged();
        first = true;
      }
    }

    private void OnValueChanged()
    {
      if (ValueChanged != null)
      {
        ValueChanged(this, EventArgs.Empty);
      }
    }
  }
}
